Bug 200703 - JJ: ampache config dialog is confusing
Summary: JJ: ampache config dialog is confusing
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Services/Ampache (show other bugs)
Version: 2.3-GIT
Platform: Ubuntu Linux
: NOR normal with 20 votes (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords: junior-jobs, usability
Depends on:
Blocks:
 
Reported: 2009-07-18 20:50 UTC by Sunil Khiatani
Modified: 2010-09-26 20:44 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunil Khiatani 2009-07-18 20:50:07 UTC
Version:           2.1 (using KDE 4.2.96)
OS:                Linux
Installed from:    Ubuntu Packages

the dialog for configuring the ampache service is too confusing.

The list box on the left is not effective:

1)It allows more me to add ampache servers with the same name more than once. 
2) when I try to modify a value, pressing new accidentally will create a new entry with the same name.
3) it's just strange..

if it's possible can the listbox be changed to a drop down box that's placed above details.  This allows clear separation and isolation.  Also, instead of the buttons, use + and - buttons like KContactManager will uses, or KCalendar uses for distribution lists.  It's a much more cleaner interface.

Thanks for your time.
Comment 1 Mark Kretschmann 2009-09-11 13:22:41 UTC
It's a bit confusing indeed and could do with some cleanup. This isn't really a bug though.
Comment 2 Myriam Schweingruber 2009-09-11 13:26:18 UTC
Moving to wishlist, then.
Comment 3 Sunil Khiatani 2009-09-13 15:40:15 UTC
It felt like a bug to me because I kept making duplicate entries and deleting the wrong settings.

Either way...thanks for the effort :)
Comment 4 Myriam Schweingruber 2009-09-13 15:45:10 UTC
On second thought, flagging this as a usability issue is more useful.
Comment 5 Myriam Schweingruber 2009-12-17 16:17:43 UTC
Any takers for a new Ampache configuration dialog?
Comment 6 Ryan Rix 2010-01-16 06:34:39 UTC
I'm willing to take a look at this as a small task this weekend. Will have a good talk with Jeff Mitchell on it.
Comment 7 Myriam Schweingruber 2010-01-16 10:37:06 UTC
(In reply to comment #6)
> I'm willing to take a look at this as a small task this weekend. Will have a
> good talk with Jeff Mitchell on it.

Nice!
Comment 8 Myriam Schweingruber 2010-05-22 12:27:12 UTC
Changing target.
Comment 9 Ian Monroe 2010-09-26 18:48:03 UTC
Fixed in v2.3.2-48-g40151eb with a new table-based UI.